xmltooling::AbstractPKIXTrustEngine::PKIXValidationInfoIterator Class Referenceabstract

Stateful interface that supplies PKIX validation data to the trust engine. More...

`#include <xmltooling/security/AbstractPKIXTrustEngine.h>`

## Public Member Functions

virtual bool | next ()=0
| Advances to the next set of information, if any.
virtual int | getVerificationDepth () const =0
| Returns the allowable trust chain verification depth for the validation data in the current position.
virtual const std::vector< XSECCryptoX509 * > & | getTrustAnchors () const =0
| Returns the set of trust anchors for the validation data in the current position.
virtual const std::vector< XSECCryptoX509CRL * > & | getCRLs () const =0
| Returns the set of CRLs for the validation data in the current position.

## Detailed Description

Stateful interface that supplies PKIX validation data to the trust engine.

Applications can adapt this TrustEngine to their environment by returning implementations of this interface from the getPKIXValidationInfoIterator method.

## Member Function Documentation

## getCRLs()

virtual const std::vector< XSECCryptoX509CRL * > & xmltooling::AbstractPKIXTrustEngine::PKIXValidationInfoIterator::getCRLs | ( |  | ) | const

pure virtual

Returns the set of CRLs for the validation data in the current position.

Keeping the CRLs beyond the lifetime of the iterator or after advancing to the next position requires copying them.

Returns
  set of CRLs

## getTrustAnchors()

virtual const std::vector< XSECCryptoX509 * > & xmltooling::AbstractPKIXTrustEngine::PKIXValidationInfoIterator::getTrustAnchors | ( |  | ) | const

pure virtual

Returns the set of trust anchors for the validation data in the current position.

Keeping the certificates beyond the lifetime of the iterator or after advancing to the next position requires copying them.

Returns
  set of trust anchors

## getVerificationDepth()

virtual int xmltooling::AbstractPKIXTrustEngine::PKIXValidationInfoIterator::getVerificationDepth | ( |  | ) | const

pure virtual

Returns the allowable trust chain verification depth for the validation data in the current position.

Returns
  allowable trust chain verification depth

## next()

virtual bool xmltooling::AbstractPKIXTrustEngine::PKIXValidationInfoIterator::next | ( |  | ) |

pure virtual

Advances to the next set of information, if any.

Returns
  true iff another set of information is available

The documentation for this class was generated from the following file:

- xmltooling/security/AbstractPKIXTrustEngine.h